<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Math Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Math.html">Ogre::Math</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#e9e2434f05aed3c19b600af6b48c59b7">Abs</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#38e4535958eded3cec072af7abb1e181">Abs</a>(const Degree &amp;dValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#e753ba9a2539f155a10709bae58625d5">Abs</a>(const Radian &amp;rValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#53869f3197b0f991aea7f5edf6b620e2">ACos</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#c8fd1d7167271f824e0210c29ee45ff0">AngleUnit</a> enum name</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#49496b87d555199f1ce163a6027ee17c">AngleUnitsToDegrees</a>(Real units)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#0aaca1a9734a5185bb33650ccf625954">AngleUnitsToRadians</a>(Real units)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#cd5aff5514f5a69799661b26803804c5">ASin</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#190d852cb22fb1435f0b8ff5ae580553">ATan</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#8b1113cd4e7b50d4933bebd39a805348">ATan2</a>(Real fY, Real fX)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#c8fd1d7167271f824e0210c29ee45ff0a3cc35278645b4c94a023500eeb06fa5">AU_DEGREE</a> enum value</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#c8fd1d7167271f824e0210c29ee45ff0897ddcfb0c6c6491215f0e3555577eee">AU_RADIAN</a> enum value</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#cbce05e3aa2ac6cceaa48be37b02d67f">buildReflectionMatrix</a>(const Plane &amp;p)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#396a97513fdea4586c71e8572256b116">buildTrigTables</a>()</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#f879ed458b9ae7657c892a94f3cf186c">calculateBasicFaceNormal</a>(const Vector3 &amp;v1, const Vector3 &amp;v2, const Vector3 &amp;v3)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#9fc455c22444ef51be81bd1157ec814f">calculateBasicFaceNormalWithoutNormalize</a>(const Vector3 &amp;v1, const Vector3 &amp;v2, const Vector3 &amp;v3)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#44645d1ee1ebb469812e788a6ae17be7">calculateFaceNormal</a>(const Vector3 &amp;v1, const Vector3 &amp;v2, const Vector3 &amp;v3)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#76d338baeb1ee4d0664650007d408543">calculateFaceNormalWithoutNormalize</a>(const Vector3 &amp;v1, const Vector3 &amp;v2, const Vector3 &amp;v3)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#115235aa59b977879a3b889169c7b0f0">calculateTangentSpaceVector</a>(const Vector3 &amp;position1, const Vector3 &amp;position2, const Vector3 &amp;position3, Real u1, Real v1, Real u2, Real v2, Real u3, Real v3)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#a75e7aa666b0ef3a847416b5646ca955">Ceil</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#926ea9552a822969f87939154afd1070">Cos</a>(const Radian &amp;fValue, bool useTables=false)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#8a67ce762f77625bf62487ff5ea37bc0">Cos</a>(Real fValue, bool useTables=false)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#9d7c5024ffb068064eb5194b9484aa87">DegreesToAngleUnits</a>(Real degrees)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#c0fd8176acceb9af5911d15cce14fb50">DegreesToRadians</a>(Real degrees)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#34452ad868e46e1c9a6b5202f612b390">Exp</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#c66bbf7ffd258ae1d0a79bbb8e39a3b2">fDeg2Rad</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#f362f19574a389ad79fbdd628010daad">Floor</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#6b4150f9ea142d15c5913d6505cb6a23">fRad2Deg</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#572d6fed0aa293aa6129e3db3605e97c">gaussianDistribution</a>(Real x, Real offset=0.0f, Real scale=1.0f)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#15efa0bc6eff509b83e61bc6f2465dfa">getAngleUnit</a>(void)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#98d6d0e2b5e0c73c17d16ac97d94f939">HALF_PI</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#d9885e718c5559a7acf9f7bb297f41c2">IAbs</a>(int iValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#9adb00fe453393f48e3c58c993a93e4d">ICeil</a>(float fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#ece40785651ff1ffa963627fb6da64a6">IFloor</a>(float fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#11664bfebecca73dbb42c0959d3d9ff7">intersects</a>(const Ray &amp;ray, const Plane &amp;plane)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#6e32a36e8db6bdbdd201e54e357a1ea6">intersects</a>(const Ray &amp;ray, const Sphere &amp;sphere, bool discardInside=true)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#13db3919682dbb39acaccb88b7892754">intersects</a>(const Ray &amp;ray, const AxisAlignedBox &amp;box)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#6297525bcf134fc00bcf347d0bb15ac0">intersects</a>(const Ray &amp;ray, const AxisAlignedBox &amp;box, Real *d1, Real *d2)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#0335dcb6040c1d8608c6f15ca145b968">intersects</a>(const Ray &amp;ray, const Vector3 &amp;a, const Vector3 &amp;b, const Vector3 &amp;c, const Vector3 &amp;normal, bool positiveSide=true, bool negativeSide=true)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#995546f00c3d58135ca0d4083a466a17">intersects</a>(const Ray &amp;ray, const Vector3 &amp;a, const Vector3 &amp;b, const Vector3 &amp;c, bool positiveSide=true, bool negativeSide=true)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#ceb1ac86a8b0b4762ab0f0c97151f753">intersects</a>(const Sphere &amp;sphere, const AxisAlignedBox &amp;box)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#bf5be33ecdfafc7414f9dc894652e78f">intersects</a>(const Plane &amp;plane, const AxisAlignedBox &amp;box)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#b57cfb450a2cc7474863304e66269949">intersects</a>(const Ray &amp;ray, const std::vector&lt; Plane &gt; &amp;planeList, bool normalIsOutside)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#c235040735be0bae794a2bc113b3ea51">intersects</a>(const Ray &amp;ray, const std::list&lt; Plane &gt; &amp;planeList, bool normalIsOutside)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#0b0f94a3e7f4ecc4feeff1418ac6cc14">intersects</a>(const Sphere &amp;sphere, const Plane &amp;plane)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#4d91be9e4d4f6bb826488f12d70a14f4">InvSqrt</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#8bd528a67c5115c4a806c2bf23111ffe">ISign</a>(int iValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#09521a106825acbaac711211de57242b">Log</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#4b1c2dbd4ad45996551abeab9cda6dd6">Math</a>(unsigned int trigTableSize=4096)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#6c6661e9685353c9e6715b029d5190fe">msAngleUnit</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#18c8d8aa94724a00bb69f831607c1f9b">mSinTable</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#b7eb923f4ad4f2c0f5ee934a6cf239ea">mTanTable</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#14b30e983974afb4a1ec6c28ea52d83b">mTrigTableFactor</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#897f51736ca7743991a89e7b381f696e">mTrigTableSize</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#83fdfd933be03233fc58b80e23740186">NEG_INFINITY</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#ee3e908f569f6d83d8359ef0d88a0461">PI</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#2c5d853f3430541b427152b4a1c1229b">pointInTri2D</a>(const Vector2 &amp;p, const Vector2 &amp;a, const Vector2 &amp;b, const Vector2 &amp;c)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#1d4851d2640e1a9ad98298b8d89351ac">pointInTri3D</a>(const Vector3 &amp;p, const Vector3 &amp;a, const Vector3 &amp;b, const Vector3 &amp;c, const Vector3 &amp;normal)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#96373da6032ed7c1ff668430f89393a6">POS_INFINITY</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#b4038bf12c37a466c025c2de86307a13">Pow</a>(Real fBase, Real fExponent)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#5bf9a37ed880a35ae569c668b8fc1ffb">RadiansToAngleUnits</a>(Real radians)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#771ded9a927aaf2c1a1418a63e816ca8">RadiansToDegrees</a>(Real radians)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#2de1fc1467a3b402bf435fd48cff356f">RangeRandom</a>(Real fLow, Real fHigh)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#890336e0e4b6914024bfefd79c08f432">RealEqual</a>(Real a, Real b, Real tolerance=std::numeric_limits&lt; Real &gt;::epsilon())</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#fb791263d1e8508fc75f698a20d96b87">setAngleUnit</a>(AngleUnit unit)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#6e0e74db303c82ffa5a1623c14505455">Sign</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#bfd68b4df9b4745a17342650a80e2544">Sign</a>(const Radian &amp;rValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#d9c0f83ef1988f05bc423ac01f8013c4">Sign</a>(const Degree &amp;dValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#a6562b753755c2e21200b7d4479c2dcd">Sin</a>(const Radian &amp;fValue, bool useTables=false)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#87fdeb1d010d7297868125ff624b496d">Sin</a>(Real fValue, bool useTables=false)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#cdc9710f1fee9385f3dcb7b84cb98b2d">SinTable</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#626ae51af294ae54cee7e1e530937d7e">Sqr</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#b1ee8b71699ce68bd8cf91113ead793e">Sqrt</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#6bd8cafd36d77c6132c8e0d5061bf6d6">Sqrt</a>(const Radian &amp;fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#0945a29fc442a83685cff2998b02c348">Sqrt</a>(const Degree &amp;fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#800db34eeeedfa6e6f40f003081c4e7e">SymmetricRandom</a>()</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#2e48340939157bf5b35dda39cbd717ec">Tan</a>(const Radian &amp;fValue, bool useTables=false)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#c21236fc284a91e8b9d36929692981cd">Tan</a>(Real fValue, bool useTables=false)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#4a6efb75f16a643edcc70432d37f64f4">TanTable</a>(Real fValue)</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#58d139439316e19e9142000f1a6bdf6d">TWO_PI</a></td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#17da3bb870f8654628d6f429a144aea1">UnitRandom</a>()</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Math.html#48d9d08ae3a9fc24532482c863a0fa01">~Math</a>()</td><td><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:32 2008
</p>
</body>
</html>
